Subject: [dhcwg] question about server behaivor responding to request message

From: <[email-masked]>
Date: Wed, 21 Jan 2009 19:41:05 +0900

I have a question about the following.

Q1. Does the server include Status Code option with the value NotOnLink in the IA option?
 Or don't include Status Code option in the IA option?

 RFC3315 Section 18.2.1. line 2731:
   If the server finds that the prefix on one or more IP addresses in
   any IA in the message from the client is not appropriate for the link
   to which the client is connected, the server MUST return the IA to
   the client with a Status Code option with the value NotOnLink.

Q2. Where the client sends a Request without any IA address (see below), how the server process its message?
  I think the server side process is not explicitly stated in RFC.

 RFC3315 Section 18.1.8. line 2646:
   When the client receives a NotOnLink status from the server in
   response to a Request, the client can either re-issue the Request
   without specifying any addresses or restart the DHCP server discovery
   process (see section 17).

Best regards,

--
Nobumichi Ozoe
Ubiquitous Field Computing Research Center,
Corporate R&D Headquaters,
Yokogawa Electric Corporation
Tel: +81-422-52-5544 Fax: +81-422-52-2561
http://www.yokogawa.com/
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 21 Jan 2009 08:53:23 -0500

alas I can not find it.

The server I work on returns it in the IA_* option as that's the way I
interpreted it - "MUST return the IA to the client with a Status Code
option with the value NotOnLink".

The TAHI conformance test suite, see
http://www.tahi.org/logo/dhcpv6/result/dibbler/DHCPv6_Self_Test_P2_1_0_1
5.server/rfc3315/S_RFC3315_18.2.1_ReceiptRequestMsgWithStatusCodeOPNotOn
Link.seq, appears to check for it in the IA_* option as well (perhaps
because of earlier discussions as an earlier version of the test checked
for this status in the message itself, not in the IA_* option).

Regarding Q2, the server allocates new addresses for the client if there
are no addresses in an IA_* option. That just means that the client is
not explicitly requesting any particular addresses and will take what
the server assigns to it. Why would this be any different than a Solicit
with an IA_* option but no addresses in those options? Note that a
Solicit w/Rapid Commit is just like a Request and likely would not
specify any addresses.

- Bernie 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of [email-masked]
Sent: Wednesday, January 21, 2009 5:41 AM
To: [email-masked]
Subject: [dhcwg] question about server behaivor responding to request
message

Hi all,

Q1. Does the server include Status Code option with the value NotOnLink
in the IA option?
 Or don't include Status Code option in the IA option?

Q2. Where the client sends a Request without any IA address (see below),
how the server process its message?
  I think the server side process is not explicitly stated in RFC.

Best regards,

---

From: Damien Neil <[email-masked]>
Date: Wed, 21 Jan 2009 13:28:41 -0800

> option with the value NotOnLink".

I agree with this interpretation.  The server I work on does the same.

             - Damien

---

From: <[email-masked]>
Date: Thu, 22 Jan 2009 13:49:59 +0900

Thanks, it makes sense to me.

> From: Bernie Volz (volz) [mailto:[email-masked]]
> Sent: Wednesday, January 21, 2009 10:53 PM
> To: Ozoe, Nobumichi ([email-masked]); [email-masked]
> Subject: RE: [dhcwg] question about server behaivor
> responding to request message
>
> Regarding Q1, I thought this had come up before and was
> discussed, but alas I can not find it.
>
> The server I work on returns it in the IA_* option as that's
> the way I interpreted it - "MUST return the IA to the client
> with a Status Code option with the value NotOnLink".
>
> Link.seq, appears to check for it in the IA_* option as well
> (perhaps because of earlier discussions as an earlier version
> of the test checked for this status in the message itself,
> not in the IA_* option).
>
> Regarding Q2, the server allocates new addresses for the
> client if there are no addresses in an IA_* option. That just
> means that the client is not explicitly requesting any
> particular addresses and will take what the server assigns to
> it. Why would this be any different than a Solicit with an
> IA_* option but no addresses in those options? Note that a
> Solicit w/Rapid Commit is just like a Request and likely
> would not specify any addresses.
>
> - Bernie
>
> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of [email-masked]
> Subject: [dhcwg] question about server behaivor responding to
> request message
>
> Hi all,
>
> Q2. Where the client sends a Request without any IA address
> (see below), how the server process its message?
> Ubiquitous Field Computing Research Center, Corporate R&D
> Headquaters, Yokogawa Electric Corporation

---

From: "David W. Hankins" <[email-masked]>
Date: Wed, 21 Jan 2009 10:02:40 -0800